#
# spec file for package qscintilla
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sonum   12
%define debug_package_requires libqscintilla2-%{sonum} = %{version}-%{release}
Name:           qscintilla
Version:        2.9
Release:        5.2
Summary:        C++ Editor Class Library
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Url:            http://www.riverbankcomputing.co.uk/software/qscintilla/intro
Source:         http://downloads.sourceforge.net/project/pyqt/QScintilla2/QScintilla-%{version}/QScintilla-gpl-%{version}.tar.gz
Patch0:         %{name}.diff
BuildRequires:  libdrm-devel
BuildRequires:  libqt4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
QScintilla is a Qt port of Neil Hodgson's Scintilla C++ editor class.

This is a Qt port from the original Scintilla class
(http://www.scintilla.org/).

This package is mainly used by eric, the Python IDE.

%package -n libqscintilla2-%{sonum}
Summary:        C++ Editor Class Library
Group:          Development/Libraries/C and C++
Provides:       qscintilla = %{version}

%description -n libqscintilla2-%{sonum}
QScintilla is a Qt port of Neil Hodgson's Scintilla C++ editor class.

This is a Qt port from the original Scintilla class
(http://www.scintilla.org/).

This package is mainly used by eric, the Python IDE.

%package -n libqscintilla-devel
Summary:        C++ Editor Class Library Development Files
Group:          Development/Libraries/C and C++
Requires:       libqscintilla2-%{sonum} = %{version}
# openSUSE 10.3
Provides:       qscintilla-devel = %{version}
Obsoletes:      qscintilla-devel < %{version}
%requires_ge    libqt4-devel

%description -n libqscintilla-devel
QScintilla is a Qt port of Neil Hodgson's Scintilla C++ editor class.

This is a Qt port from the original Scintilla class
(http://www.scintilla.org/).

This package is mainly used by eric, the Python IDE.

%prep
%setup -q -n QScintilla-gpl-%{version}
%patch0

%build
pushd Qt4Qt5
qmake
make %{?_smp_mflags}
popd
pushd designer-Qt4Qt5
qmake
make %{?_smp_mflags}
popd

%install
pushd Qt4Qt5
make INSTALL_ROOT=%{buildroot} install
popd
pushd designer-Qt4Qt5
make INSTALL_ROOT=%{buildroot} install
popd

%post -n libqscintilla2-%{sonum} -p /sbin/ldconfig

%postun -n libqscintilla2-%{sonum} -p /sbin/ldconfig

%files -n libqscintilla2-%{sonum}
%defattr(-,root,root)
%doc NEWS README LICENSE
%{_datadir}/qt4/qsci
%{_datadir}/qt4/translations/qscintilla_*.qm
%{_libdir}/libqscintilla2.so.%{sonum}*

%files -n libqscintilla-devel
%defattr(-,root,root)
%{_includedir}/Qsci
%{_includedir}/Qsci/*
%{_libdir}/libqscintilla2.so
%{_libdir}/qt4/plugins/designer/libqscintillaplugin.so
%{_datadir}/qt4/mkspecs/features/qscintilla2.prf

%changelog
* Sat Jun 13 2015 termim@gmail.com
- Update to 2.9
  - Based on Scintilla v3.5.4.
  - Added UserLiteral, InactiveUserLiteral, TaskMarker, InactiveTaskMarker,
    EscapeSequence, InactiveEscapeSequence, setHighlightBackQuotedStrings(),
    highlightBackQuotedStrings(), setHighlightEscapeSequences(),
    highlightEscapeSequences(), setVerbatimStringEscapeSequencesAllowed() and
    verbatimStringEscapeSequencesAllowed() to QsciLexerCPP.
  - Added CommentKeyword, DeclareInputPort, DeclareOutputPort,
    DeclareInputOutputPort, PortConnection and the inactive versions of all
    styles to QsciLexerVerilog.
  - Added CommentBlock to QsciLexerVHDL.
  - Added AnnotationIndented to QsciScintilla::AnnotationDisplay.
  - Added FullBoxIndicator, ThickCompositionIndicator, ThinCompositionIndicator
    and TextColorIndicator to QsciScintilla::IndicatorStyle.
  - Added setIndicatorHoverForegroundColor() and setIndicatorHoverStyle() to
    QsciScintilla.
  - Added Bookmark to QsciScintilla::MarkerSymbol.
  - Added WrapWhitespace to QsciScintilla::WrapMode.
  - Added SCLEX_AS, SCLEX_BIBTEX, SCLEX_DMAP, SCLEX_DMIS, SCLEX_IHEX,
    SCLEX_REGISTRY, SCLEX_SREC and SCLEX_TEHEX to QsciScintillaBase.
  - Added SCI_CHANGEINSERTION to QsciScintillaBase.
  - Added SCI_CLEARTABSTOPS, SCI_ADDTABSTOP and SCI_GETNEXTTABSTOP to
    QsciScintillaBase.
  - Added SCI_GETIMEINTERACTION, SCI_SETIMEINTERACTION, SC_IME_WINDOWED and
    SC_IME_INLINE to QsciScintillaBase.
  - Added SC_MARK_BOOKMARK to QsciScintillaBase.
  - Added INDIC_COMPOSITIONTHIN, INDIC_FULLBOX, INDIC_TEXTFORE, INDIC_IME,
    INDIC_IME_MAX, SC_INDICVALUEBIT, SC_INDICVALUEMASK,
    SC_INDICFLAG_VALUEBEFORE, SCI_INDICSETHOVERSTYLE, SCI_INDICGETHOVERSTYLE,
    SCI_INDICSETHOVERFORE, SCI_INDICGETHOVERFORE, SCI_INDICSETFLAGS and
    SCI_INDICGETFLAGS to QsciScintillaBase.
  - Added SCI_SETTARGETRANGE and SCI_GETTARGETRANGE to QsciScintillaBase.
  - Added SCFIND_CXX11REGEX to QsciScintillaBase.
  - Added SCI_CALLTIPSETPOSSTART to QsciScintillaBase.
  - Added SC_FOLDFLAG_LINESTATE to QsciScintillaBase.
  - Added SC_WRAP_WHITESPACE to QsciScintillaBase.
  - Added SC_PHASES_ONE, SC_PHASES_TWO, SC_PHASES_MULTIPLE, SCI_GETPHASESDRAW
    and SCI_SETPHASESDRAW to QsciScintillaBase.
  - Added SC_STATUS_OK, SC_STATUS_FAILURE, SC_STATUS_BADALLOC,
    SC_STATUS_WARN_START and SC_STATUS_WARNREGEX to QsciScintillaBase.
  - Added SC_MULTIAUTOC_ONCE, SC_MULTIAUTOC_EACH, SCI_AUTOCSETMULTI and
    SCI_AUTOCGETMULTI to QsciScintillaBase.
  - Added ANNOTATION_INDENTED to QsciScintillaBase.
  - Added SCI_DROPSELECTIONN to QsciScintillaBase.
  - Added SC_TECHNOLOGY_DIRECTWRITERETAIN and SC_TECHNOLOGY_DIRECTWRITEDC to
    QsciScintillaBase.
  - Added SC_LINE_END_TYPE_DEFAULT, SC_LINE_END_TYPE_UNICODE,
    SCI_GETLINEENDTYPESSUPPORTED, SCI_SETLINEENDTYPESALLOWED,
    SCI_GETLINEENDTYPESALLOWED and SCI_GETLINEENDTYPESACTIVE to
    QsciScintillaBase.
  - Added SCI_ALLOCATESUBSTYLES, SCI_GETSUBSTYLESSTART, SCI_GETSUBSTYLESLENGTH,
    SCI_GETSTYLEFROMSUBSTYLE, SCI_GETPRIMARYSTYLEFROMSTYLE, SCI_FREESUBSTYLES,
    SCI_SETIDENTIFIERS, SCI_DISTANCETOSECONDARYSTYLES and SCI_GETSUBSTYLEBASES
    to QsciScintillaBase.
  - Added SC_MOD_INSERTCHECK and SC_MOD_CHANGETABSTOPS to QsciScintillaBase.
  - Qt v3 and PyQt v3 are no longer supported.
* Sat Oct 11 2014 termim@gmail.com
- Update to 2.8.4
  - This is a minor functional release include the addition of some hotspot
    related functions to the high-level API.
  - run spec-cleaner
* Thu Jul 31 2014 toddrme2178@gmail.com
- Update to 2.8.3
  - Added the QsciLexerCoffeeScript class.
  - Font sizes are now handled as floating point values rather than integers.
  - Bug fixes.
- Run spec file through spec-cleaner
- Various spec file cleanups
* Thu May 29 2014 termim@gmail.com
- Update to v2.8.2
  - Added the QsciLexerAVS class.
  - Added the QsciLexerPO class.
  - Added the --sysroot, --no-sip-files and --no-qsci-api options to the Python
    bindings' configure.py.
  - Cross-compilation (specifically to iOS and Android) is now supported.
  - configure.py has been refactored and relicensed so that it can be used as a
    template for wrapping other bindings.
  - Bug fixes.
* Sun Mar 23 2014 tittiatcoke@gmail.com
- Update to v2.8.1
  - Added support for iOS and Android.
  - Added support for retina displays.
  - A qscintilla2.prf file is installed so that application .pro files only
    need to add CONFIG += qscintilla2.
  - Updated the keywords recognised by the Octave lexer.
  - Bug fixes.
- Rebase qscintilla.diff for the new release
* Thu Nov 14 2013 termim@gmail.com
- update to v2.8:
  - Based on Scintilla v3.3.6.
  - Added the SCN_FOCUSIN() and SCN_FOCUSOUT() signals to QsciScintillaBase.
  - Added PreProcessorCommentLineDoc and InactivePreProcessorCommentLineDoc to
    QsciLexerCPP.
  - Added SCLEX_LITERATEHASKELL, SCLEX_KVIRC, SCLEX_RUST and SCLEX_STTXT to
    QsciScintillaBase.
  - Added ThickCompositionIndicator to QsciScintilla::IndicatorStyle.
  - Added INDIC_COMPOSITIONTHICK to QsciScintillaBase.
  - Added SC_FOLDACTION_CONTRACT, SC_FOLDACTION_EXPAND and SC_FOLDACTION_TOGGLE
    to QsciScintillaBase.
  - Added SCI_FOLDLINE, SCI_FOLDCHILDREN, SCI_EXPANDCHILDREN and SCI_FOLDALL to
    QsciScintillaBase.
  - Added SC_AUTOMATICFOLD_SHOW, SC_AUTOMATICFOLD_CLICK and
    SC_AUTOMATICFOLD_CHANGE to QsciScintillaBase.
  - Added SCI_SETAUTOMATICFOLD and SCI_GETAUTOMATICFOLD to QsciScintillaBase.
  - Added SC_ORDER_PRESORTED, SC_ORDER_PERFORMSORT and SC_ORDER_CUSTOM to
    QsciScintillaBase.
  - Added SCI_AUTOCSETORDER and SCI_AUTOCGETORDER to QsciScintillaBase.
  - Added SCI_POSITIONRELATIVE to QsciScintillaBase.
  - Added SCI_RELEASEALLEXTENDEDSTYLES and SCI_ALLOCATEEXTENDEDSTYLES to
    QsciScintillaBase.
  - Added SCI_SCROLLRANGE to QsciScintillaBase.
  - Added SCI_SETCARETLINEVISIBLEALWAYS and SCI_GETCARETLINEVISIBLEALWAYS to
    QsciScintillaBase.
  - Added SCI_SETMOUSESELECTIONRECTANGULARSWITCH and
    SCI_GETMOUSESELECTIONRECTANGULARSWITCH to QsciScintillaBase.
  - Added SCI_SETREPRESENTATION, SCI_GETREPRESENTATION and
    SCI_CLEARREPRESENTATION to QsciScintillaBase.
  - Input methods are now properly supported.
* Wed Jun 19 2013 dmueller@suse.com
- update to 2.7.2:
  - The build script for the Python bindings now has a --pyqt argument for
    specifying PyQt4 or PyQt5.
  - The default EOL mode on OS/X is now EolUnix.
  - Bug fixes.
* Fri Apr 12 2013 termim@gmail.com
- update to 2.7.1
  - v2.7.1 1st March 2013
  - Added support for the final release of Qt v5.
  - The build script for the Python bindings should now work with SIP v5.
  - Bug fixes.
  - v2.7 8th December 2012
  - Based on Scintilla v3.23.
  - Added support for Qt v5-rc1.
  - Added HashQuotedString, InactiveHashQuotedString, PreProcessorComment,
    InactivePreProcessorComment, setHighlightHashQuotedStrings() and
    highlightHashQuotedStrings() to QsciLexerCpp.
  - Added Variable, setHSSLanguage(), HSSLanguage(), setLessLanguage(),
    LessLanguage(), setSCCSLanguage() and SCCSLanguage() to QsciLexerCSS.
  - Added setOverwriteMode() and overwriteMode() to QsciScintilla.
  - Added wordAtLineIndex() to QsciScintilla.
  - Added findFirstInSelection() to QsciScintilla.
  - Added CallTipsPosition, callTipsPosition() and setCallTipsPosition() to
    QsciScintilla.
  - Added WrapFlagInMargin to QsciScintilla::WrapVisualFlag.
  - Added SquigglePixmapIndicator to QsciScintilla::IndicatorStyle.
  - The weight of a font (rather than whether it is just bold or not) is now
    respected.
  - Added SCLEX_AVS, SCLEX_COFFEESCRIPT, SCLEX_ECL, SCLEX_OSCRIPT,
    SCLEX_TCMD and SCLEX_VISUALPROLOG to QsciScintillaBase.
  - Added SC_CASEINSENSITIVEBEHAVIOUR_IGNORECASE and
    SC_CASEINSENSITIVEBEHAVIOUR_RESPECTCASE to QsciScintillaBase.
  - Added SC_FONT_SIZE_MULTIPLIER to QsciScintillaBase.
  - Added SC_WEIGHT_NORMAL, SC_WEIGHT_SEMIBOLD and SC_WEIGHT_BOLD to
    QsciScintillaBase.
  - Added SC_WRAPVISUALFLAG_MARGIN to QsciScintillaBase.
  - Added INDIC_SQUIGGLEPIXMAP to QsciScintillaBase.
  - Added SCI_AUTOCSETCASEINSENSITIVEBEHAVIOUR,
    SCI_AUTOCGETCASEINSENSITIVEBEHAVIOUR, SCI_CALLTIPSETPOSITION,
    SCI_COUNTCHARACTERS, SCI_CREATELOADER, SCI_DELETERANGE,
    SCI_FINDINDICATORFLASH, SCI_FINDINDICATORHIDE, SCI_FINDINDICATORSHOW,
    SCI_GETALLLINESVISIBLE, SCI_GETGAPPOSITION, SCI_GETPUNCTUATIONCHARS,
    SCI_GETRANGEPOINTER, SCI_GETSELECTIONEMPTY, SCI_GETTECHNOLOGY,
    SCI_GETWHITESPACECHARS, SCI_GETWORDCHARS, SCI_RGBAIMAGESETSCALE,
    SCI_SETPUNCTUATIONCHARS, SCI_SETTECHNOLOGY, SCI_STYLESETSIZEFRACTIONAL,
    SCI_STYLEGETSIZEFRACTIONAL, SCI_STYLESETWEIGHT and SCI_STYLEGETWEIGHT to
    QsciScintillaBase.
  - Removed SCI_GETUSEPALETTE and SCI_SETUSEPALETTE from QsciScintillaBase.
  - Bug fixes.
* Thu Jul  5 2012 dmueller@suse.com
- link .changes files for python/3-qscintilla to qscintilla.changes
- update to 2.6.2:
  * Added support for Qt v5.
  * QsciLexer::wordCharacters() is now part of the public API.
  * Bug fixes.
* Mon Feb 27 2012 dmueller@suse.de
- update to 2.6.1:
  - Mainly a bugfix release
* Sun Feb  5 2012 termim@gmail.com
- update to 2.6:
  - based on Scintilla v2.29.
  - improved support for rebinding keys to commands
  - native key bindings under OS/X.
- remove Qt3 support (it does not compile with current Qt3 packages)
* Wed Nov 23 2011 termim@gmail.com
- build QScintilla plugin for QT4 Designer
* Mon Aug 15 2011 termim@gmail.com
- update to 2.5.1:
  - based on Scintilla v2.25
* Wed Sep  1 2010 dmueller@suse.de
- update to 2.4.5:
  - A bug fix release.
  - Added the canInsertFromMimeData(), fromMimeData() and toMimeData() methods
    to QsciScintillaBase.
  - QsciScintilla::markerDefine() now allows existing markers to be redefined.
* Tue Apr 20 2010 dmueller@suse.de
- fix build
* Sun Apr 11 2010 beineri@opensuse.org
- update to 2.4.3 release:
  * Added clearFolds() to QsciScintilla.
  * Updated Spanish translations from Jaime Seuma.
  * Fixed compilation problems with Qt v3 and Qt v4 prior to v4.5.
  * Added the QsciLexerSpice and QsciLexerVerilog classes.
  * Significant performance improvements when handling long lines.
  * The Python bindings include automatically generated docstrings
    by default.
  * Added an API file for Python v3.
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Fri Jul 10 2009 beineri@opensuse.org
- update build requires after python-sip package split
* Mon Jun  8 2009 beineri@opensuse.org
- update to 2.4 release:
  * support for annotations, margin text
  * ability to write new language lexers
* Tue May 26 2009 dmueller@suse.de
- update to 2.4-snapshot-20090525:
  - Based on Scintilla v1.78.
  - Added the QsciLexerCustom, QsciStyle and QsciStyledText classes.
  - Added annotate(), annotation(), clearAnnotations(), setAnnotationDisplay()
    and annotationDisplay() to QsciScintilla.
  - Added setMarginText(), clearMarginText(), setMarginType() and marginType()
    to QsciScintilla.
  - Added QsciLexer::lexerId() so that container lexers can be implemented.
  - Added editor() and styleBitsNeeded() to QsciLexer.
  - Added setDollarsAllowed() and dollarsAllowed() to QsciLexerCPP.
  - Added setFoldScriptComments(), foldScriptComments(),
    setFoldScriptHeredocs() and foldScriptHeredocs() to QsciLexerHTML.
  - Added setSmartHighlighting() and smartHighlighting() to QsciLexerPascal.
    (Note that the Scintilla Pascal lexer has changed so that any saved colour
    and font settings will not be properly restored.)
  - Added setFoldPackages(), foldPackages(), setFoldPODBlocks() and
    foldPODBlocks() to QsciLexerPerl.
  - Added setV2UnicodeAllowed(), v2UnicodeAllowed(), setV3BinaryOctalAllowed(),
    v3BinaryOctalAllowed(), setV3BytesAllowed and v3BytesAllowed() to
    QsciLexerPython.
  - Added setScriptsStyled() and scriptsStyled() to QsciLexerXML.
  - Added Spanish translations from Jaime Seuma.
* Sat Dec  6 2008 dmueller@suse.de
- update to 2.3.2:
  Added the read() and write() methods to QsciScintilla in anticipation of PyQt
  dropping support for QStrings.  This will allow file to be read and written
  while keeping the number of conversions to the minimum.
* Wed Oct 22 2008 stbinner@suse.de
- debug_package_requires depend also on %%release
* Fri Oct 10 2008 dmueller@suse.de
- update to 2.3 (bnc#432385):
  * Licensing update: Dual licensed GPLv2/v3
  * The new QsciAbstractAPIs class allows applications to replace the default
    implementation of the language APIs used for auto-completion lists and call
    tips.
  * Added QsciScintilla::apiContext() to allow applications to determine the
    context used for auto-completion and call tips.
  * Added the QsciLexerFortran, QsciLexerFortran77, QsciLexerPascal,
    QsciLexerPostScript, QsciLexerTCL, QsciLexerXML and QsciLexerYAML classes.
  * QsciScintilla::setFolding() will now accept an optional margin number.
  * A lexer's default colour, paper and font are now written to and read from
    the settings.
  * Windows64 is now supported.
  * The signature of the QsciScintillaBase::SCN_MACRORECORD() signal has
    changed slightly.
* Mon Sep  3 2007 dmueller@suse.de
- break buildcycle
* Sat Aug 11 2007 dmueller@suse.de
- install Qt4 version of libraries
- build python bindings
- rename package to comply to Shared Library Policy
* Mon Aug  6 2007 dmueller@suse.de
- update to 1.73 (scintilla 2.1) (#297650)
  * A revised API, incompatible with QScintilla v1.
  * Hugely improved autocompletion and call tips support.
  * Supports both Qt v3 and Qt v4.
  * Includes Python bindings.
* Mon Jun  5 2006 stbinner@suse.de
- fix build for < 10.1
* Wed May 17 2006 dmueller@suse.de
- split into devel package (#165234)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 19 2005 joe@suse.de
- update to version 1.6 (Scintilla 1.65 based)
* Wed Sep 29 2004 joe@suse.de
- update to version 1.4 (Scintilla 1.61 based); if I don't get
  it wrong the naming scheme used by SUSE has been wrong, with
  Scintilla and qscintilla versions being mixed up.
* Tue May 11 2004 adrian@suse.de
- update to version 1.60 (Scintilla 1.3 based)
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Sun Aug 17 2003 adrian@suse.de
- update to version 1.54 (Scintilla 1.2 based now)
* Wed May 28 2003 adrian@suse.de
- fix symlink
* Mon May 26 2003 adrian@suse.de
- update to version 1.53 (Scintilla 1.1 based now)
* Fri May 23 2003 adrian@suse.de
- fix symlink
* Fri May  2 2003 adrian@suse.de
- update to version 1.52
* Mon Mar 10 2003 ro@suse.de
- fix build on lib64 for real
* Mon Feb 24 2003 ro@suse.de
- fix lib64 issue
* Thu Jan 30 2003 adrian@suse.de
- initial package, version 1.49
